Mail API reference

Mail API · Segments

get/v1/workspaces/{workspace_id}/segments/{segment_id}Auth

Get a segment

Path parameters

workspace_id*string · uuid

Id of the workspace.

segment_id*string · uuid

Id of the segment.

Response · 200

id*string · uuid

The segment id.

name*string

Name of the segment.

Example: "Pro customers"

description*string

Optional description of who is in the segment.

type*object

`static`: an explicit member list. `rule`: the contacts matching `rule`.

rule*object

Null for a static segment.

created_at*string · date-time

When the segment was created.

updated_at*string · date-time

When the segment was last changed.

Example

Request

GET https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/segments/{segment_id}
Authorization: Bearer YOUR_TOKEN

Response

{
  "id": "00000000-0000-0000-0000-000000000000",
  "name": "Pro customers",
  "description": "string",
  "type": {},
  "rule": {},
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}